<p-dialog
  [(visible)]="display"
  header="Titulo"
  [position]="utilitiesConfig.optionsDialog.position"
  [modal]="utilitiesConfig.optionsDialog.modal"
  [styleClass]="utilitiesConfig.optionsDialog.styleClass"
  class="video"
  [breakpoints]="utilitiesConfig.optionsDialog.breakpoints"
  [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
  [draggable]="utilitiesConfig.optionsDialog.draggable"
  [maximizable]="utilitiesConfig.optionsDialog.maximizable"
  [style]="utilitiesConfig.optionsDialog.style"
  [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
  (onHide)="goToPage()"
>

<ng-template pTemplate="header">
    <span class="p-dialog-title">
      <em class="pi pi-pencil"></em>
      {{ titleHeader }}
    </span>
    <div class="ties">
      <span class="void">
        <span class="tie-knot"></span>
      </span>
      <span class="void">
        <span class="tie-knot"></span>
      </span>
    </div>
  </ng-template>

<iframe
  width="560"
  height="315"
  [src]="srcYoutube"
  title="YouTube video player"
  frameborder="0"
  allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
  allowfullscreen
></iframe>

<ng-template pTemplate="footer">
    <div class="flex justify-content-center">
            
    </div>
  </ng-template>

</p-dialog>